com.elastisys.scale.cloudpool.openstack.requests

## Class DeleteServerRequest

- java.lang.Object
- - com.elastisys.scale.cloudpool.openstack.requests.AbstractOpenstackRequest<Void>
  - - com.elastisys.scale.cloudpool.openstack.requests.DeleteServerRequest

All Implemented Interfaces:
  Callable<Void>

    public class DeleteServerRequest
    extends AbstractOpenstackRequest<Void>

OpenStack task that, when executed, deletes a `Server`, releases any allocated floating IP addresses and waits for the server to be terminated (since this may not be immediate due to eventual consistency).

### Constructor Summary

Constructors
Constructor and Description
`DeleteServerRequest(com.elastisys.scale.commons.openstack.OSClientFactory clientFactory, String victimId)` Creates a new `DeleteServerRequest`.

### Method Summary

All Methods Instance Methods Concrete Methods
`Void` `doRequest(org.openstack4j.api.OSClient api)` Carries out the request and returns the response.

### Methods inherited from class com.elastisys.scale.cloudpool.openstack.requests.AbstractOpenstackRequest

`call, getApiAccessConfig, getClientFactory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DeleteServerRequest

    public DeleteServerRequest(com.elastisys.scale.commons.openstack.OSClientFactory clientFactory,
                               String victimId)

Creates a new `DeleteServerRequest`.

Parameters:
  `clientFactory` - OpenStack API client factory.
  `victimId` - The identifier (UUID) of the server instance to delete.

### Method Detail

#### doRequest

    public Void doRequest(org.openstack4j.api.OSClient api)
                   throws NotFoundException

Description copied from class: `AbstractOpenstackRequest`
Carries out the request and returns the response.

Specified by:
  `doRequest` in class `AbstractOpenstackRequest<Void>`
Parameters:
  `api` - An authenticated OpenStack API client that is instructed to operate against the configured region.
Returns:
  The response.
Throws:
  `NotFoundException`